dpkg-gencontrol(1)

NAME
dpkg-gencontrol - generate Debian control files

SYNOPSIS
dpkg-gencontrol [options]

DESCRIPTION
dpkg-gencontrol reads information from an unpacked Debian source tree and generates a binary package control file (which defaults to debian/tmp/DEBIAN/control); it also adds an entry for the binary package to debian/files.

OPTIONS

-vversion
    Sets the version number of the binary package which will be generated.

-Vname=value
    Set an output substitution variable. See deb-substvars(5) for discussion of output substitution.

-Tsubstvarsfile
    Read substitution variables in substvarsfile; the default is debian/substvars.

-Dfield=value
    Override or add an output control file field.

-Ufield
    Remove an output control file field.

-ccontrolfile
    Specifies the main source control file to read information from. The default is debian/control.

-lchangelogfile
    Specifies the change log file to read information from. The default is debian/changelog.

-ffileslistfile
    Read or write the list of files to be uploaded here, rather than using debian/files.

-Fchangelogformat
    Specifies the format of the changelog. By default the format is read from a special line near the bottom of the changelog or failing that defaults to the debian standard format.

-ppackage
    Generate information for the binary package package. If the source control file lists only one binary package then this option may be omitted; otherwise it is essential to select which binary package's information to generate.

-nfilename
    Assume the filename of the package will be filename instead of the normal package_version_arch.deb filename.

-is, -ip, -isp
    These options are ignored for compatibility with older versions of dpkg-dev but are now deprecated. Previously they were used to tell dpkg-gencontrol to include the Section and Priority fields in the control file. This is now the default behaviour. If you want to get the old behaviour you can use the -U option to delete the fields from the control file.

-Ppackagebuilddir
    Tells dpkg-source that the package is being built in packagebuilddir instead of debian/tmp. This value is used to find the default value of the Installed-Size substitution variable and control file field (using du), and for the default location of the output file.

-O  Print the control file to standard output, rather than to debian/tmp/DEBIAN/control (or packagebuilddir/DEBIAN/control if -P was used).

-h, --help
    Show the usage message and exit.

--version
    Show the version and exit.

FILES

debian/control
    The main source control information file, giving version-independent information about the source package and the binary packages it can produce.

debian/files
    The list of generated files which are part of the upload being prepared. dpkg-gencontrol adds the presumed filenames of binary packages whose control files it generates here;

AUTHORS
Copyright (C) 1995-1996 Ian Jackson
Copyright (C) 2000 Wichert Akkerman

This is free software; see the GNU General Public Licence version 2 or later for copying conditions. There is NO WARRANTY.